diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/CMakeLists.txt webkitgtk-2.32.1/Source/JavaScriptCore/CMakeLists.txt
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/CMakeLists.txt	2021-05-19 15:01:41.332822507 -0500
+++ webkitgtk-2.32.1/Source/JavaScriptCore/CMakeLists.txt	2021-05-21 10:34:49.404979984 -0500
@@ -75,16 +75,11 @@ set(JavaScriptCore_OBJECT_LUT_SOURCES
     runtime/IntlDateTimeFormatPrototype.cpp
     runtime/IntlDisplayNamesConstructor.cpp
     runtime/IntlDisplayNamesPrototype.cpp
-    runtime/IntlListFormatConstructor.cpp
-    runtime/IntlListFormatPrototype.cpp
-    runtime/IntlLocalePrototype.cpp
     runtime/IntlNumberFormatConstructor.cpp
     runtime/IntlNumberFormatPrototype.cpp
     runtime/IntlObject.cpp
     runtime/IntlPluralRulesConstructor.cpp
     runtime/IntlPluralRulesPrototype.cpp
-    runtime/IntlRelativeTimeFormatConstructor.cpp
-    runtime/IntlRelativeTimeFormatPrototype.cpp
     runtime/IntlSegmentIteratorPrototype.cpp
     runtime/IntlSegmenterConstructor.cpp
     runtime/IntlSegmenterPrototype.cpp
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/DerivedSources-input.xcfilelist webkitgtk-2.32.1/Source/JavaScriptCore/DerivedSources-input.xcfilelist
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/DerivedSources-input.xcfilelist	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/DerivedSources-input.xcfilelist	2021-05-21 10:35:14.161110644 -0500
@@ -137,16 +137,12 @@ $(PROJECT_DIR)/runtime/IntlDateTimeForma
 $(PROJECT_DIR)/runtime/IntlDateTimeFormatPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlDisplayNamesConstructor.cpp
 $(PROJECT_DIR)/runtime/IntlDisplayNamesPrototype.cpp
-$(PROJECT_DIR)/runtime/IntlListFormatConstructor.cpp
-$(PROJECT_DIR)/runtime/IntlListFormatPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlLocalePrototype.cpp
 $(PROJECT_DIR)/runtime/IntlNumberFormatConstructor.cpp
 $(PROJECT_DIR)/runtime/IntlNumberFormatPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlObject.cpp
 $(PROJECT_DIR)/runtime/IntlPluralRulesConstructor.cpp
 $(PROJECT_DIR)/runtime/IntlPluralRulesPrototype.cpp
-$(PROJECT_DIR)/runtime/IntlRelativeTimeFormatConstructor.cpp
-$(PROJECT_DIR)/runtime/IntlRelativeTimeFormatPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlSegmentIteratorPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlSegmenterConstructor.cpp
 $(PROJECT_DIR)/runtime/IntlSegmenterPrototype.cpp
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/DerivedSources.make webkitgtk-2.32.1/Source/JavaScriptCore/DerivedSources.make
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/DerivedSources.make	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/DerivedSources.make	2021-05-21 10:36:03.265369856 -0500
@@ -158,16 +158,12 @@ OBJECT_LUT_HEADERS = \
     IntlDateTimeFormatPrototype.lut.h \
     IntlDisplayNamesConstructor.lut.h \
     IntlDisplayNamesPrototype.lut.h \
-    IntlListFormatConstructor.lut.h \
-    IntlListFormatPrototype.lut.h \
     IntlLocalePrototype.lut.h \
     IntlNumberFormatConstructor.lut.h \
     IntlNumberFormatPrototype.lut.h \
     IntlObject.lut.h \
     IntlPluralRulesConstructor.lut.h \
     IntlPluralRulesPrototype.lut.h \
-    IntlRelativeTimeFormatConstructor.lut.h \
-    IntlRelativeTimeFormatPrototype.lut.h \
     IntlSegmentIteratorPrototype.lut.h \
     IntlSegmenterConstructor.lut.h \
     IntlSegmenterPrototype.lut.h \
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/DerivedSources-output.xcfilelist webkitgtk-2.32.1/Source/JavaScriptCore/DerivedSources-output.xcfilelist
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/DerivedSources-output.xcfilelist	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/DerivedSources-output.xcfilelist	2021-05-21 10:35:41.541255177 -0500
@@ -28,16 +28,12 @@ $(BUILT_PRODUCTS_DIR)/DerivedSources/Jav
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlDateTimeFormatPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlDisplayNamesConstructor.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlDisplayNamesPrototype.lut.h
-$(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlListFormatConstructor.lut.h
-$(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlListFormatPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlLocalePrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlNumberFormatConstructor.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlNumberFormatPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlObject.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlPluralRulesConstructor.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlPluralRulesPrototype.lut.h
-$(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlRelativeTimeFormatConstructor.lut.h
-$(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlRelativeTimeFormatPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlSegmentIteratorPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlSegmenterConstructor.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlSegmenterPrototype.lut.h
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/CommonIdentifiers.h webkitgtk-2.32.1/Source/JavaScriptCore/runtime/CommonIdentifiers.h
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/CommonIdentifiers.h	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/CommonIdentifiers.h	2021-05-21 10:37:23.085791206 -0500
@@ -42,9 +42,7 @@
     macro(Function) \
     macro(Infinity) \
     macro(Intl) \
-    macro(ListFormat) \
     macro(Loader) \
-    macro(Locale) \
     macro(Map) \
     macro(NaN) \
     macro(Number) \
@@ -54,7 +52,6 @@
     macro(Promise) \
     macro(Reflect) \
     macro(RegExp) \
-    macro(RelativeTimeFormat) \
     macro(RemotePlayback) \
     macro(Segmenter) \
     macro(Set) \
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlCollator.cpp webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlCollator.cpp
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlCollator.cpp	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlCollator.cpp	2021-05-21 12:47:44.147082978 -0500
@@ -33,6 +33,7 @@
 #include "JSCInlines.h"
 #include "ObjectConstructor.h"
 #include <wtf/HexNumber.h>
+#include <unicode/ucol.h>
 
 namespace JSC {
 
@@ -42,6 +43,12 @@ namespace IntlCollatorInternal {
 constexpr bool verbose = false;
 }
 
+void IntlCollator::UCollatorDeleter::operator()(UCollator* collator) const
+{
+    if (collator)
+        ucol_close(collator);
+}
+
 IntlCollator* IntlCollator::create(VM& vm, Structure* structure)
 {
     IntlCollator* format = new (NotNull, allocateCell<IntlCollator>(vm.heap)) IntlCollator(vm, structure);
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlCollator.h webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlCollator.h
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlCollator.h	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlCollator.h	2021-05-21 12:46:18.642631535 -0500
@@ -27,8 +27,8 @@
 #pragma once
 
 #include "JSObject.h"
-#include <unicode/ucol.h>
-#include <wtf/unicode/icu/ICUHelpers.h>
+
+struct UCollator;
 
 namespace JSC {
 
@@ -92,7 +92,9 @@ private:
     enum class Sensitivity : uint8_t { Base, Accent, Case, Variant };
     enum class CaseFirst : uint8_t { Upper, Lower, False };
 
-    using UCollatorDeleter = ICUDeleter<ucol_close>;
+    struct UCollatorDeleter {
+        void operator()(UCollator*) const;
+    };
 
     static ASCIILiteral usageString(Usage);
     static ASCIILiteral sensitivityString(Sensitivity);
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlDateTimeFormat.cpp webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlDateTimeFormat.cpp
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlDateTimeFormat.cpp	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlDateTimeFormat.cpp	2021-05-21 12:46:18.642631535 -0500
@@ -67,6 +67,12 @@ namespace IntlDateTimeFormatInternal {
 static constexpr bool verbose = false;
 }
 
+void IntlDateTimeFormat::UDateFormatDeleter::operator()(UDateFormat* dateFormat) const
+{
+    if (dateFormat)
+        udat_close(dateFormat);
+}
+
 IntlDateTimeFormat* IntlDateTimeFormat::create(VM& vm, Structure* structure)
 {
     IntlDateTimeFormat* format = new (NotNull, allocateCell<IntlDateTimeFormat>(vm.heap)) IntlDateTimeFormat(vm, structure);
@@ -1207,6 +1213,7 @@ JSValue IntlDateTimeFormat::format(JSGlo
     return jsString(vm, String(result));
 }
 
+#if 0
 static ASCIILiteral partTypeString(UDateFormatField field)
 {
     switch (field) {
@@ -1334,6 +1341,7 @@ JSValue IntlDateTimeFormat::formatToPart
 
     return parts;
 }
+#endif
 
 UDateIntervalFormat* IntlDateTimeFormat::createDateIntervalFormatIfNecessary(JSGlobalObject* globalObject)
 {
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlDateTimeFormat.h webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlDateTimeFormat.h
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlDateTimeFormat.h	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlDateTimeFormat.h	2021-05-21 12:46:18.642631535 -0500
@@ -28,7 +28,6 @@
 
 #include "JSObject.h"
 #include <unicode/udat.h>
-#include <wtf/unicode/icu/ICUHelpers.h>
 
 struct UDateIntervalFormat;
 
@@ -125,7 +124,9 @@ private:
     static void replaceHourCycleInSkeleton(Vector<UChar, 32>&, bool hour12);
     static void replaceHourCycleInPattern(Vector<UChar, 32>&, HourCycle);
 
-    using UDateFormatDeleter = ICUDeleter<udat_close>;
+    struct UDateFormatDeleter {
+        void operator()(UDateFormat*) const;
+    };
 
     WriteBarrier<JSBoundFunction> m_boundFormat;
     std::unique_ptr<UDateFormat, UDateFormatDeleter> m_dateFormat;
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlDateTimeFormatPrototype.cpp webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlDateTimeFormatPrototype.cpp
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlDateTimeFormatPrototype.cpp	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlDateTimeFormatPrototype.cpp	2021-05-20 16:29:04.549036374 -0500
@@ -39,7 +39,7 @@ namespace JSC {
 static JSC_DECLARE_HOST_FUNCTION(IntlDateTimeFormatPrototypeGetterFormat);
 static JSC_DECLARE_HOST_FUNCTION(IntlDateTimeFormatPrototypeFuncFormatRange);
 static JSC_DECLARE_HOST_FUNCTION(IntlDateTimeFormatPrototypeFuncFormatRangeToParts);
-static JSC_DECLARE_HOST_FUNCTION(IntlDateTimeFormatPrototypeFuncFormatToParts);
+//static JSC_DECLARE_HOST_FUNCTION(IntlDateTimeFormatPrototypeFuncFormatToParts);
 static JSC_DECLARE_HOST_FUNCTION(IntlDateTimeFormatPrototypeFuncResolvedOptions);
 static JSC_DECLARE_HOST_FUNCTION(IntlDateTimeFormatFuncFormatDateTime);
 
@@ -55,7 +55,6 @@ const ClassInfo IntlDateTimeFormatProtot
 @begin dateTimeFormatPrototypeTable
   format                IntlDateTimeFormatPrototypeGetterFormat              DontEnum|Accessor
   formatRange           IntlDateTimeFormatPrototypeFuncFormatRange           DontEnum|Function 2
-  formatToParts         IntlDateTimeFormatPrototypeFuncFormatToParts         DontEnum|Function 1
   resolvedOptions       IntlDateTimeFormatPrototypeFuncResolvedOptions       DontEnum|Function 0
 @end
 */
@@ -143,6 +142,7 @@ JSC_DEFINE_HOST_FUNCTION(IntlDateTimeFor
     return JSValue::encode(boundFormat);
 }
 
+#if 0
 JSC_DEFINE_HOST_FUNCTION(IntlDateTimeFormatPrototypeFuncFormatToParts, (JSGlobalObject* globalObject, CallFrame* callFrame))
 {
     VM& vm = globalObject->vm();
@@ -168,6 +168,7 @@ JSC_DEFINE_HOST_FUNCTION(IntlDateTimeFor
 
     RELEASE_AND_RETURN(scope, JSValue::encode(dateTimeFormat->formatToParts(globalObject, value)));
 }
+#endif
 
 // http://tc39.es/proposal-intl-DateTimeFormat-formatRange/#sec-intl.datetimeformat.prototype.formatRange
 JSC_DEFINE_HOST_FUNCTION(IntlDateTimeFormatPrototypeFuncFormatRange, (JSGlobalObject* globalObject, CallFrame* callFrame))
